MantisBT

View Issue Details Jump to Notes ] Wiki ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008925mantisbtemailpublic2008-02-25 05:142009-06-23 15:28
Reportercombr 
Assigned Tograngeway 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSLinuxOS VersionFedora 6
Product Version1.1.1 
Target VersionFixed in Version1.2.0rc1 
Summary0008925: wrong wordwrap in email for bugnote body(php+utf8 bug?)
Description
in email, when it composing by mantis to send, in email_api.php "# format bugnotes"

there is a function wordwrap()
        $t_message .= wordwrap( $t_bugnote->note ) . " \n\n";

when it applied to ascii text, it works
when it applied to other(russian, for example) text, it wrap text too shortly.

ascii (no real text, just example):

abc def abcd efg

russian:

??? ???
???? ???

Steps To Reproduceenter some ascii text and see email
enter analogical non-ascii text and see short wrap in email
Additional Informationthink it is php+utf8 bug
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0021760)
grangeway (reporter)
2009-05-02 06:45

Have removed calls to wordwrap() in email api - phpmailer has a word wrapping functionality that appears from looking at code to attempt to deal with utf8.

- Issue History
Date Modified Username Field Change
2008-02-25 05:14 combr New Issue
2009-05-02 06:45 grangeway Note Added: 0021760
2009-05-02 06:45 grangeway Status new => resolved
2009-05-02 06:45 grangeway Fixed in Version => git trunk
2009-05-02 06:45 grangeway Resolution open => fixed
2009-05-02 06:45 grangeway Assigned To => grangeway
2009-06-08 16:31 jreese Fixed in Version git trunk => 1.2.2
2009-06-23 15:28 jreese Status resolved => closed


MantisBT 1.2.17 [^]
Copyright © 2000 - 2014 MantisBT Team
Time: 0.1018 seconds.
memory usage: 3,013 KB
Powered by Mantis Bugtracker